Skip to main content
POST
Start Sandbox

Authorizations

X-Access-Token
string
header
required

Query Parameters

sandbox_spec_id
string | null

Response

Successful Response

Information about a sandbox.

id
string
required
created_by_user_id
string | null
required
sandbox_spec_id
string
required
status
enum<string>
required
Available options:
STARTING,
RUNNING,
PAUSED,
ERROR,
MISSING
session_api_key
string | null
required

Key to access sandbox, to be added as an X-Session-API-Key header in each request. In cases where the sandbox statues is STARTING or PAUSED, or the current user does not have full access the session_api_key will be None.

exposed_urls
ExposedUrl · object[] | null

URLs exposed by the sandbox (App server, Vscode, etc...)Sandboxes with a status STARTING / PAUSED / ERROR may not return urls.

created_at
string<date-time>
status_detail
string | null

Last pod/scheduling reason from the runtime (e.g. insufficient kvm, ImagePullBackOff), surfaced when a sandbox is stuck or errored.